Package org.eclipse.lemminx.extensions.references.search

## Class SearchQuery

- java.lang.Object
- - org.eclipse.lemminx.extensions.references.search.SearchQuery

    public class SearchQuery
    extends Object

XML references search Query.

Author:
  Angelo ZERR

### Nested Class Summary

Nested Classes
`static class` `SearchQuery.QueryDirection`

### Constructor Summary

Constructors
`SearchQuery​(DOMNode node, int offset, List<XMLReferenceExpression> expressions, SearchQuery.QueryDirection direction)`
`SearchQuery​(SearchNode searchNode, List<XMLReferenceExpression> expressions, SearchQuery.QueryDirection direction)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<XMLReferenceExpression>` `getExpressions()`
`DOMNode` `getNode()`
`SearchQuery.QueryDirection` `getQueryDirection()`
`SearchNode` `getSearchNode()`
`boolean` `isMatchNode()`
`boolean` `isSearchInAttribute()`
`boolean` `isSearchInIncludedFiles()`
`boolean` `isSearchInText()`
`void` `setMatchNode​(boolean matchNode)`
`void` `setSearchInIncludedFiles​(boolean searchInIncludedFiles)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchQuery

    public SearchQuery​(DOMNode node,
                       int offset,
                       List<XMLReferenceExpression> expressions,
                       SearchQuery.QueryDirection direction)

#### SearchQuery

    public SearchQuery​(SearchNode searchNode,
                       List<XMLReferenceExpression> expressions,
                       SearchQuery.QueryDirection direction)

### Method Detail

#### getNode

    public DOMNode getNode()

#### getExpressions

    public List<XMLReferenceExpression> getExpressions()

#### isMatchNode

    public boolean isMatchNode()

#### isSearchInIncludedFiles

    public boolean isSearchInIncludedFiles()

#### setSearchInIncludedFiles

    public void setSearchInIncludedFiles​(boolean searchInIncludedFiles)

#### setMatchNode

    public void setMatchNode​(boolean matchNode)

#### isSearchInAttribute

    public boolean isSearchInAttribute()

#### isSearchInText

    public boolean isSearchInText()

#### getSearchNode

    public SearchNode getSearchNode()

#### getQueryDirection

    public SearchQuery.QueryDirection getQueryDirection()